Overview
GET/content/queue-itemscontent

List queue_items

List queue-items.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

List

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • queueIdstring
  • payloadstring | number | boolean? | object | any[]
  • statusstring
  • enqueuedAtstring
  • dequeuedAtstring?
  • ackedAtstring?
  • nackedAtstring?
Example
[
  {
    "id": "string",
    "ecosystemId": "string",
    "customerId": "string",
    "deletedAt": "string",
    "queueId": "string",
    "payload": "string",
    "status": "string",
    "enqueuedAt": "string",
    "dequeuedAt": "string",
    "ackedAt": "string",
    "nackedAt": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/queue-items" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/queue-items", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();